summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-misc/sl
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-misc/sl')
-rw-r--r--app-misc/sl/Manifest3
-rw-r--r--app-misc/sl/files/Makefile5
-rw-r--r--app-misc/sl/files/fix_compilation.patch22
-rw-r--r--app-misc/sl/files/sl-3.03-gentoo.diff10
-rw-r--r--app-misc/sl/metadata.xml14
-rw-r--r--app-misc/sl/sl-3.03-r3.ebuild63
6 files changed, 117 insertions, 0 deletions
diff --git a/app-misc/sl/Manifest b/app-misc/sl/Manifest
new file mode 100644
index 00000000000..ed3775d409e
--- /dev/null
+++ b/app-misc/sl/Manifest
@@ -0,0 +1,3 @@
+DIST sl.en.1.gz 467 SHA256 51dc6d6c902a9c8dd1f04379b53d873e0f321d78710a7fecccf68f08ca6923dc SHA512 5acfc9818ea0f2d3931a24ae0ed1c82685b38b384bd635122ddfbf5d04199cbc3cbc370fa9be48825440abad972029218285a5486ee820f77ea8ab77a3dec2e6 WHIRLPOOL 10fe3e52a18a739381ac7b6ea16cb58a04550bb57534dd3226de349eafad51cce60b7ea7f5ff36ece008d363e81b5c37e3ec943ac8183b8183a95012b7adb0ae
+DIST sl.tar 20480 SHA256 b2bcbd86acf2017c84b6aaf6161b3b24f97e34a2d70ab0204c9503f5d50965f4 SHA512 eb0cc0bc0d6e795e32ed84a6813644b41e81ad6fd7ac51e67ec6c99747acdbc9d102041d3af53c9ba75ba7b1581ab4c6a14fc9db20e1f69a30713aefb17f7737 WHIRLPOOL 5173ab275c8a47ef6a20c39bcb7053a9f5d317c092f5813b882913ed625d806f477eaee35398b53fc40b0944f298d3fc540ce94ec9b343491286237aa35b4168
+DIST sl5-1.patch 36035 SHA256 4943b6f000f518ed08755b36d9b753291989c4867e55d74bc4cc4502f6e9422f SHA512 25321da4fd2359f1e47a6ab939d3ce5dc8a160a6ede4db3e7355d5efcecf686622f3c9e3e941eeeeed504c61cb15b959648d97f70a97f88efe3a2628eaa96038 WHIRLPOOL 56d11bcdf9f1e27d1261b4616859b8381c6ae49c0897d28a7214fe59f7227013b39ff55d438078bd3cd7e196403a327af1edaba8be38255db38f2090db3070b8
diff --git a/app-misc/sl/files/Makefile b/app-misc/sl/files/Makefile
new file mode 100644
index 00000000000..663a9bff6b1
--- /dev/null
+++ b/app-misc/sl/files/Makefile
@@ -0,0 +1,5 @@
+LDLIBS = -lncurses
+all: sl
+sl: sl.o
+clean:
+ rm -f sl sl.o
diff --git a/app-misc/sl/files/fix_compilation.patch b/app-misc/sl/files/fix_compilation.patch
new file mode 100644
index 00000000000..5b63a844f9f
--- /dev/null
+++ b/app-misc/sl/files/fix_compilation.patch
@@ -0,0 +1,22 @@
+--- sl.orig/sl.c 2010-08-09 21:36:45.483225339 +0200
++++ sl/sl.c 2010-08-09 22:01:12.462051982 +0200
+@@ -30,6 +30,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <strings.h>
++#include <string.h>
+ #include <time.h>
+ #ifdef LINUX20
+ #include <ncurses/curses.h>
+@@ -186,10 +187,7 @@ int main(int argc, char *argv[])
+ scrollok(stdscr, FALSE);
+ DIREC = RTOL;
+ p = 3 * COLS / 10;
+- pp = (char*)malloc((size_t)(COLS + ALL_LENGTH + 10) * (D51HIGHT + 1) * (D51PATTERNS + 1));
+- for (i = 0; i <= (COLS + ALL_LENGTH + 1) * (D51HIGHT + 1) * D51PATTERNS; ++i) {
+- pp[i] = (char)NULL;
+- }
++ pp = (char *)calloc(1, (size_t)(COLS + ALL_LENGTH + 10) * (D51HIGHT + 1) * (D51PATTERNS + 1));
+
+ for (j = 0; j < D51PATTERNS; ++j) {
+ for (i = 0; i <= D51HIGHT; ++i) {
diff --git a/app-misc/sl/files/sl-3.03-gentoo.diff b/app-misc/sl/files/sl-3.03-gentoo.diff
new file mode 100644
index 00000000000..e6350ca5b37
--- /dev/null
+++ b/app-misc/sl/files/sl-3.03-gentoo.diff
@@ -0,0 +1,10 @@
+--- sl.c.orig 2003-09-07 14:20:29.000000000 +0900
++++ sl.c 2003-09-07 14:21:11.000000000 +0900
+@@ -164,6 +164,7 @@
+ signal(SIGINT, end_proc);
+ #else
++ signal(SIGTSTP, SIG_IGN);
+ signal(SIGINT, SIG_IGN);
+ PASSNUM = (int)(drand48() * 20.0) + 10;
+ if (drand48() > 0.5) {
+ ONEDIREC = 1;
diff --git a/app-misc/sl/metadata.xml b/app-misc/sl/metadata.xml
new file mode 100644
index 00000000000..39604b73ef3
--- /dev/null
+++ b/app-misc/sl/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jdhore@gentoo.org</email>
+ <name>Jeff Horelick</name>
+ </maintainer>
+ <longdescription lang="en">
+ SL is an extremely sophisticated type remediation program at which you
+ will be astonished. The original program has experienced gradual
+ modifications and enhancements so that one can never think of better
+ software than SL.
+ </longdescription>
+</pkgmetadata>
diff --git a/app-misc/sl/sl-3.03-r3.ebuild b/app-misc/sl/sl-3.03-r3.ebuild
new file mode 100644
index 00000000000..b9165ebacf6
--- /dev/null
+++ b/app-misc/sl/sl-3.03-r3.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils toolchain-funcs flag-o-matic
+
+SL_PATCH="sl5-1.patch"
+
+DESCRIPTION="sophisticated graphical program which corrects your miss typing"
+HOMEPAGE="http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/index_e.html http://www.izumix.org.uk/sl/"
+SRC_URI="http://www.tkl.iis.u-tokyo.ac.jp/~toyoda/sl/${PN}.tar
+ !vanilla? (
+ http://www.linet.gr.jp/~izumi/sl/${SL_PATCH}
+ http://www.sodan.ecc.u-tokyo.ac.jp/~okayama/sl/${PN}.en.1.gz
+ )"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86 ~x86-fbsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="debug linguas_ja vanilla"
+
+REQUIRED_USE="debug? ( !vanilla )"
+
+DEPEND="sys-libs/ncurses"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${PN}
+
+pkg_setup() {
+ tc-export CC
+ use debug && append-cppflags -DDEBUG
+}
+
+src_prepare() {
+ if ! use vanilla ; then
+ epatch -p1 "${DISTDIR}/${SL_PATCH}"
+ epatch "${FILESDIR}/${P}-gentoo.diff"
+ epatch "${FILESDIR}/fix_compilation.patch"
+ fi
+
+ cp "${FILESDIR}"/Makefile "${S}" || die
+
+ if use linguas_ja; then
+ iconv -f ISO-2022-JP -t EUC-JP sl.1 > sl.ja.1
+ fi
+}
+
+src_install() {
+ dobin sl
+ dodoc sl.txt
+
+ if ! use vanilla ; then
+ newman "${WORKDIR}/sl.en.1" sl.1
+ fi
+
+ if use linguas_ja ; then
+ dodoc README*
+ insinto /usr/share/man/ja/man1
+ newins sl.ja.1 sl.1
+ fi
+}